30 1000 100000
12621774483536188886587657044524579674771302961744368076324462890625
teleport 6 15
copy 8 2
swap 1 23
copy 7 28
reproduce 22 98
swap 10 3
reproduce 9 95
reproduce 10 62
merry-go-round 0 0
reproduce 24 15
teleport 27 20
copy 3 7
reproduce 3 12
reproduce 4 60
reproduce 12 90
copy 26 7
swap 28 24
reproduce 29 77
copy 9 29
copy 3 23
die 13 0
copy 28 19
copy 27 14
swap 28 14
reproduce 19 66
reproduce 9 34
teleport 8 15
reproduce 10 58
copy 18 5
reproduce 17 2
copy 2 1
reproduce 7 20
copy 14 26
copy 17 16
merry-go-round 0 0
copy 6 23
copy 7 26
swap 7 16
reproduce 9 34
reproduce 27 81
swap 14 10
copy 8 24
swap 15 5
copy 22 3
copy 9 19
copy 18 17
swap 17 7
reproduce 29 34
swap 16 2
copy 15 21
copy 12 5
teleport 3 8
reproduce 15 22
swap 15 0
swap 9 23
copy 11 3
swap 7 9
copy 22 11
reproduce 0 79
copy 5 5
swap 12 7
copy 20 12
copy 14 27
copy 15 12
reproduce 19 22
swap 12 13
copy 7 2
copy 27 24
die 24 0
swap 2 7
reproduce 7 95
reproduce 24 76
reproduce 28 28
die 25 0
reproduce 28 20
copy 17 12
copy 21 6
copy 29 8
reproduce 18 15
reproduce 12 1
copy 27 23
copy 12 10
merry-go-round 0 0
reproduce 17 74
swap 0 18
copy 28 21
reproduce 7 94
reproduce 29 42
copy 20 2
reproduce 8 27
copy 12 29
reproduce 9 5
reproduce 13 56
reproduce 12 13
reproduce 1 4
reproduce 25 74
copy 2 11
copy 20 2
swap 16 15
merry-go-round 0 0
reproduce 22 58
swap 26 24
copy 5 10
swap 19 25
copy 1 10
die 2 0
copy 3 27
reproduce 5 82
swap 2 28
copy 1 12
merry-go-round 0 0
reproduce 25 94
copy 23 9
swap 0 25
reproduce 27 97
reproduce 1 10
copy 15 14
reproduce 19 62
swap 16 17
die 11 0
copy 29 12
reproduce 20 14
reproduce 26 15
reproduce 5 99
reproduce 12 36
reproduce 0 81
teleport 20 24
copy 4 6
merry-go-round 0 0
reproduce 28 54
reproduce 11 75
merry-go-round 0 0
reproduce 8 52
copy 14 1
copy 18 7
swap 8 21
swap 4 2
swap 16 17
reproduce 2 14
swap 0 7
copy 20 24
merry-go-round 0 0
reproduce 20 94
copy 29 26
reproduce 13 90
swap 23 5
swap 1 28
reproduce 27 16
reproduce 13 76
copy 8 0
swap 0 3
reproduce 21 88
copy 15 7
copy 3 28
copy 7 3
copy 21 26
reproduce 6 49
copy 4 17
copy 8 1
reproduce 29 42
swap 3 25
swap 29 1
copy 2 29
copy 20 3
swap 4 12
reproduce 29 34
reproduce 22 13
reproduce 9 99
reproduce 13 19
reproduce 11 8
copy 23 13
copy 6 12
reproduce 28 75
swap 27 26
copy 25 0
copy 27 21
swap 25 24
reproduce 13 5
reproduce 10 39
copy 9 1
swap 0 14
copy 23 22
reproduce 23 21
reproduce 22 88
copy 8 13
teleport 4 19
reproduce 15 88
swap 19 10
reproduce 3 93
copy 13 21
reproduce 25 73
merry-go-round 0 0
copy 7 3
copy 0 15
swap 14 0
reproduce 14 51
copy 18 2
swap 26 19
reproduce 15 52
reproduce 10 44
reproduce 23 8
swap 11 14
reproduce 1 77
merry-go-round 0 0
copy 19 14
copy 25 9
reproduce 10 50
reproduce 20 32
reproduce 16 33
copy 1 3
reproduce 11 59
merry-go-round 0 0
copy 5 28
reproduce 16 12
reproduce 5 41
die 24 0
swap 24 7
swap 29 2
copy 16 12
reproduce 17 49
copy 20 22
swap 1 2
copy 8 14
copy 7 14
reproduce 0 7
reproduce 22 41
swap 6 5
copy 21 15
copy 15 24
copy 12 11
copy 11 23
reproduce 27 66
reproduce 0 14
reproduce 22 83
reproduce 0 96
copy 14 17
reproduce 13 95
copy 24 7
swap 19 21
teleport 17 2
teleport 14 11
reproduce 17 9
reproduce 16 51
copy 21 4
copy 10 5
copy 8 19
swap 6 17
reproduce 20 10
reproduce 12 19
swap 28 21
teleport 17 23
reproduce 22 20
copy 21 27
copy 16 10
reproduce 6 52
die 28 0
swap 2 8
reproduce 27 89
reproduce 16 35
copy 24 24
reproduce 19 33
swap 13 2
reproduce 25 76
copy 22 7
swap 25 29
copy 16 7
reproduce 7 82
swap 26 23
copy 5 14
reproduce 19 19
swap 24 5
reproduce 8 66
reproduce 14 81
swap 3 17
reproduce 1 91
swap 13 15
copy 8 15
copy 3 3
reproduce 8 29
reproduce 28 1
swap 12 22
swap 20 11
copy 2 20
reproduce 9 4
copy 23 25
teleport 15 13
reproduce 13 39
swap 13 24
reproduce 12 15
swap 17 14
swap 0 17
swap 18 26
swap 9 20
merry-go-round 0 0
copy 22 12
reproduce 8 50
reproduce 23 3
copy 6 22
copy 20 26
reproduce 24 61
reproduce 11 55
reproduce 11 23
reproduce 21 23
reproduce 0 66
reproduce 5 1
copy 26 0
reproduce 17 4
reproduce 17 72
reproduce 19 94
swap 1 22
teleport 10 29
reproduce 28 43
swap 9 16
copy 11 26
reproduce 10 52
reproduce 5 50
merry-go-round 0 0
swap 28 27
reproduce 16 7
reproduce 27 100
copy 28 29
reproduce 0 98
die 28 0
reproduce 9 10
merry-go-round 0 0
copy 10 11
die 12 0
swap 22 3
teleport 13 4
copy 28 5
swap 26 3
copy 27 11
reproduce 26 30
copy 4 20
copy 15 29
copy 22 14
copy 25 7
reproduce 29 92
reproduce 6 65
teleport 20 15
reproduce 11 83
copy 22 10
copy 0 6
copy 1 2
die 21 0
copy 25 11
reproduce 9 21
swap 8 10
reproduce 29 14
copy 26 22
copy 12 28
copy 25 21
copy 5 17
reproduce 3 3
reproduce 28 39
die 8 0
swap 21 25
swap 2 22
reproduce 16 37
copy 21 14
swap 5 23
copy 25 25
swap 9 10
reproduce 26 70
copy 19 28
copy 29 8
die 12 0
copy 17 18
swap 1 0
copy 27 10
reproduce 11 63
reproduce 25 30
copy 21 13
reproduce 4 63
swap 13 5
copy 3 29
swap 11 4
merry-go-round 0 0
copy 1 7
copy 2 11
copy 0 21
copy 11 25
merry-go-round 0 0
swap 15 16
reproduce 20 95
reproduce 3 80
copy 10 17
swap 1 11
copy 15 21
copy 16 29
reproduce 19 11
merry-go-round 0 0
copy 23 24
copy 18 5
copy 25 23
swap 16 9
copy 11 21
copy 13 8
copy 14 11
reproduce 22 53
die 0 0
reproduce 15 60
copy 11 22
reproduce 6 18
reproduce 11 91
reproduce 26 7
die 15 0
swap 13 19
reproduce 26 36
swap 11 19
copy 25 20
copy 25 14
swap 7 1
copy 29 6
swap 28 7
teleport 19 12
reproduce 27 33
reproduce 24 76
merry-go-round 0 0
reproduce 12 65
copy 15 12
die 2 0
copy 1 27
reproduce 4 45
reproduce 2 7
copy 7 24
swap 14 7
swap 18 10
copy 29 19
reproduce 16 42
copy 11 20
merry-go-round 0 0
swap 12 10
merry-go-round 0 0
reproduce 11 28
reproduce 7 67
reproduce 3 63
swap 20 16
copy 17 15
copy 12 22
die 1 0
reproduce 12 45
merry-go-round 0 0
copy 5 8
merry-go-round 0 0
reproduce 22 30
reproduce 3 90
swap 2 26
reproduce 6 18
reproduce 18 62
die 5 0
reproduce 29 8
reproduce 25 79
teleport 7 19
die 23 0
reproduce 24 15
reproduce 16 44
die 11 0
reproduce 16 25
reproduce 12 43
reproduce 11 71
reproduce 27 26
swap 26 4
reproduce 13 76
reproduce 21 31
copy 6 20
reproduce 0 22
copy 5 14
merry-go-round 0 0
copy 22 5
teleport 5 24
copy 8 9
reproduce 6 57
reproduce 24 22
copy 0 9
merry-go-round 0 0
copy 29 12
copy 12 13
reproduce 3 52
reproduce 18 83
reproduce 10 70
swap 7 2
copy 8 7
reproduce 6 86
reproduce 0 40
swap 0 8
reproduce 13 28
merry-go-round 0 0
copy 9 21
merry-go-round 0 0
reproduce 14 45
copy 6 12
reproduce 25 73
reproduce 23 74
copy 22 4
reproduce 27 21
copy 8 15
swap 6 27
swap 26 2
copy 5 0
swap 10 23
copy 25 12
copy 21 29
reproduce 16 45
reproduce 11 87
copy 12 26
merry-go-round 0 0
swap 4 14
copy 3 25
swap 29 18
copy 26 5
teleport 7 0
copy 2 24
merry-go-round 0 0
reproduce 23 53
reproduce 0 83
swap 6 1
reproduce 24 59
copy 21 11
copy 24 28
reproduce 15 13
reproduce 11 60
swap 18 4
reproduce 13 88
copy 20 12
reproduce 14 43
reproduce 10 80
swap 27 29
copy 11 26
swap 2 14
swap 23 9
reproduce 20 50
swap 2 14
copy 10 24
copy 24 15
copy 3 29
reproduce 23 50
reproduce 16 99
copy 4 9
reproduce 18 55
reproduce 29 50
copy 13 9
reproduce 27 63
reproduce 13 65
copy 27 9
copy 23 4
copy 1 19
reproduce 21 96
copy 16 2
copy 21 20
reproduce 9 30
copy 17 25
reproduce 3 95
reproduce 23 48
swap 8 9
reproduce 7 60
reproduce 28 22
reproduce 20 23
reproduce 2 21
copy 24 1
die 20 0
die 22 0
reproduce 20 78
copy 15 1
swap 9 26
copy 17 7
reproduce 16 38
copy 6 28
swap 18 26
reproduce 21 65
merry-go-round 0 0
copy 25 18
swap 28 0
reproduce 10 71
swap 26 11
copy 5 4
copy 14 12
swap 0 20
swap 29 3
teleport 17 2
reproduce 8 38
reproduce 16 65
copy 6 5
die 15 0
copy 5 17
swap 18 9
copy 23 24
reproduce 27 10
reproduce 18 97
die 29 0
reproduce 23 43
reproduce 2 12
copy 10 5
reproduce 8 3
copy 23 18
copy 10 21
reproduce 25 73
copy 20 6
merry-go-round 0 0
reproduce 21 7
copy 27 15
copy 21 17
reproduce 15 61
swap 17 2
reproduce 25 71
merry-go-round 0 0
copy 10 26
copy 24 5
reproduce 16 67
reproduce 22 66
swap 14 10
copy 3 7
copy 16 16
merry-go-round 0 0
copy 17 14
teleport 15 4
reproduce 7 37
merry-go-round 0 0
teleport 14 5
reproduce 19 78
copy 26 28
reproduce 23 63
copy 14 15
die 13 0
swap 8 6
swap 10 19
reproduce 20 9
teleport 18 2
reproduce 4 14
copy 25 7
teleport 24 25
merry-go-round 0 0
copy 18 29
reproduce 6 66
copy 28 11
swap 29 22
reproduce 1 9
reproduce 21 17
reproduce 1 84
copy 27 29
reproduce 22 7
reproduce 9 75
reproduce 23 63
copy 20 20
copy 24 11
reproduce 12 71
reproduce 14 32
copy 15 24
swap 12 20
copy 15 23
die 25 0
reproduce 19 95
swap 23 8
copy 15 10
die 27 0
reproduce 16 59
reproduce 20 61
swap 5 9
copy 20 0
copy 25 26
copy 10 11
swap 5 11
reproduce 12 61
reproduce 6 14
copy 16 7
reproduce 3 27
reproduce 28 37
copy 6 11
swap 5 20
reproduce 15 80
reproduce 8 42
copy 21 27
reproduce 16 72
swap 11 13
reproduce 6 56
copy 6 10
reproduce 28 70
copy 9 15
swap 26 9
merry-go-round 0 0
swap 19 23
reproduce 19 18
swap 3 22
die 19 0
teleport 24 4
copy 19 28
copy 14 4
swap 24 18
copy 11 4
copy 24 22
copy 0 5
copy 18 22
copy 27 17
reproduce 3 52
reproduce 2 67
swap 0 14
copy 5 21
teleport 29 7
copy 24 19
reproduce 26 94
teleport 11 2
copy 29 2
teleport 14 6
merry-go-round 0 0
reproduce 24 47
copy 18 4
merry-go-round 0 0
copy 12 7
merry-go-round 0 0
copy 24 7
copy 6 1
swap 22 11
copy 1 1
reproduce 7 63
swap 5 28
copy 12 23
reproduce 21 61
reproduce 25 57
teleport 7 26
reproduce 3 90
swap 14 29
teleport 15 0
reproduce 22 14
swap 12 1
copy 5 0
merry-go-round 0 0
swap 13 15
reproduce 4 77
copy 21 23
copy 21 10
die 24 0
reproduce 18 81
merry-go-round 0 0
copy 8 11
reproduce 22 86
copy 4 10
reproduce 9 71
copy 20 15
reproduce 0 62
reproduce 19 54
swap 6 7
reproduce 20 11
reproduce 8 23
reproduce 24 91
reproduce 27 53
reproduce 18 70
die 4 0
copy 6 29
copy 21 11
reproduce 3 78
reproduce 6 91
copy 22 15
copy 2 11
copy 4 8
teleport 7 11
reproduce 1 1
reproduce 0 36
copy 1 11
copy 13 25
reproduce 18 79
reproduce 20 47
copy 12 18
teleport 25 6
swap 1 20
reproduce 0 96
merry-go-round 0 0
reproduce 9 29
reproduce 1 64
reproduce 2 38
reproduce 16 33
reproduce 4 43
teleport 16 9
copy 20 0
copy 8 12
copy 9 12
merry-go-round 0 0
reproduce 20 25
copy 29 12
reproduce 0 48
copy 25 26
copy 3 0
reproduce 29 55
reproduce 15 75
teleport 27 1
copy 5 18
reproduce 6 14
copy 8 13
copy 28 12
copy 15 4
die 23 0
reproduce 26 34
copy 19 0
die 13 0
reproduce 8 59
reproduce 28 35
swap 3 7
reproduce 2 59
teleport 10 0
teleport 8 3
reproduce 15 10
reproduce 8 82
swap 4 24
copy 4 17
reproduce 21 98
swap 7 13
copy 5 11
reproduce 2 14
swap 3 18
reproduce 12 82
swap 4 6
reproduce 18 68
reproduce 21 64
copy 12 18
copy 17 1
copy 12 1
swap 4 15
swap 10 27
die 17 0
swap 3 9
reproduce 27 62
copy 6 27
swap 23 18
die 7 0
reproduce 26 78
reproduce 6 31
copy 10 3
swap 14 1
teleport 25 28
reproduce 12 99
reproduce 18 27
copy 9 10
reproduce 28 14
reproduce 14 18
swap 13 6
copy 17 4
reproduce 8 95
copy 7 21
copy 4 16
copy 12 20
die 15 0
copy 6 15
swap 16 10
reproduce 20 33
reproduce 29 14
copy 27 2
merry-go-round 0 0
copy 12 7
teleport 18 14
copy 25 3
copy 27 15
copy 27 0
reproduce 3 8
reproduce 12 29
copy 24 10
reproduce 23 6
swap 21 12
swap 14 19
copy 14 0
reproduce 13 29
reproduce 12 46
swap 1 19
teleport 13 9
swap 26 8
reproduce 10 75
reproduce 23 31
reproduce 26 34
reproduce 28 20
swap 7 26
merry-go-round 0 0
merry-go-round 0 0
copy 15 17
copy 1 5
copy 6 14
reproduce 6 94
copy 27 7
swap 3 19
swap 25 17
reproduce 8 80
reproduce 28 63
merry-go-round 0 0
copy 20 22
reproduce 5 1
swap 28 5
copy 4 13
teleport 11 4
copy 0 14
copy 25 0
copy 21 9
reproduce 21 20
reproduce 19 82
reproduce 5 4
reproduce 9 50
copy 26 19
teleport 29 9
copy 1 27
copy 27 19
reproduce 29 37
reproduce 14 30
swap 9 29
die 27 0
copy 18 23
reproduce 11 3
merry-go-round 0 0
die 10 0
reproduce 22 59
reproduce 8 100
reproduce 27 99
reproduce 8 33
reproduce 14 79
copy 4 3
reproduce 15 69
copy 7 6
reproduce 27 40
reproduce 4 43
merry-go-round 0 0
reproduce 4 57
reproduce 12 88
copy 1 15
reproduce 9 50
reproduce 23 60
merry-go-round 0 0
teleport 3 10
reproduce 13 18
copy 11 1
copy 20 18
copy 2 8
copy 28 6
merry-go-round 0 0
swap 23 7
copy 1 2
reproduce 22 99
merry-go-round 0 0
copy 5 17
copy 2 14
swap 12 7
reproduce 5 14
copy 23 23
copy 2 5
reproduce 8 57
copy 24 22
merry-go-round 0 0
merry-go-round 0 0
reproduce 21 78
copy 19 9
swap 28 20
swap 12 9
reproduce 22 98
reproduce 18 40
reproduce 11 4
copy 9 7
reproduce 5 3
copy 28 21
copy 15 4
swap 2 4
reproduce 24 34
copy 10 18
reproduce 17 93
reproduce 20 61
copy 9 2
swap 0 27
copy 22 0
swap 7 10
reproduce 2 88
die 14 0
copy 26 27
copy 1 29
reproduce 11 51
copy 14 26
merry-go-round 0 0
swap 3 25
reproduce 15 88
reproduce 4 72
reproduce 6 70
swap 21 7
copy 2 27
copy 20 16
reproduce 14 69
swap 25 15
copy 9 16
copy 6 19
copy 4 4
swap 6 23
copy 0 7
copy 22 20
copy 4 15
copy 16 5
copy 13 11
reproduce 6 20
copy 4 8
teleport 27 6
teleport 10 23
copy 20 9
copy 11 9
copy 14 23
die 29 0
reproduce 17 97
merry-go-round 0 0
swap 9 16
copy 0 17
copy 3 21
